## ros-indigo-rotors-gazebo 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rotors_gazebo)

add_definitions(-std=c++11)

#--------------------------#
# Generation of SDF models #
#--------------------------#

# We need Gazebo version >= 3.0.0 to generate iris.sdf file
# (gz sdf ... command needs to be available)
find_package(gazebo REQUIRED)

if(${gazebo_VERSION_MAJOR} GREATER 2)
    message(STATUS "Building iris.sdf.")
    
    set(enable_mavlink_interface "true")
    set(enable_ground_truth "false")
    set(enable_logging "false")
    set(enable_camera "false")
    set(enable_wind "false")
    set(rotors_description_dir "${CMAKE_CURRENT_SOURCE_DIR}/models/rotors_description")
    set(scripts_dir "${CMAKE_CURRENT_SOURCE_DIR}/scripts")
    
    # Creates shell commands to generate .sdf file
    add_custom_command(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/models/iris/iris.sdf
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
      COMMAND rm -f ${CMAKE_CURRENT_SOURCE_DIR}/models/iris/iris.sdf
      COMMAND python ${scripts_dir}/xacro.py -o  ${rotors_description_dir}/urdf/iris_base.urdf  ${rotors_description_dir}/urdf/iris_base.xacro enable_mavlink_interface:=${enable_mavlink_interface} enable_ground_truth:=${enable_ground_truth} enable_wind:=${enable_wind} enable_logging:=${enable_logging} rotors_description_dir:=${rotors_description_dir}
      COMMAND gz sdf -p  ${rotors_description_dir}/urdf/iris_base.urdf >> ${CMAKE_CURRENT_SOURCE_DIR}/models/iris/iris.sdf
      COMMAND rm -f ${rotors_description_dir}/urdf/iris_base.urdf
      DEPENDS ${rotors_description_dir}/urdf/iris.xacro
      DEPENDS ${rotors_description_dir}/urdf/iris_base.xacro
      DEPENDS ${rotors_description_dir}/urdf/component_snippets.xacro
      )
    add_custom_target(sdf ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/models/iris/iris.sdf)
else()
  message(STATUS "Gazebo version is less than 3, cannot generate iris.sdf (gz tool not available).")
endif()

if(NO_ROS)
  message(STATUS "NO_ROS = true, not building waypoint publisher or hovering example, returning now.")
  return()
endif()

find_package(catkin REQUIRED COMPONENTS gazebo_msgs geometry_msgs mav_msgs roscpp sensor_msgs)

catkin_package(
  CATKIN_DEPENDS
    gazebo_msgs
    geometry_msgs
    mav_msgs
    roscpp
    sensor_msgs
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_executable(waypoint_publisher src/waypoint_publisher.cpp)
target_link_libraries(waypoint_publisher ${catkin_LIBRARIES})
add_dependencies(waypoint_publisher ${catkin_EXPORTED_TARGETS})

add_executable(waypoint_publisher_file src/waypoint_publisher_file.cpp)
target_link_libraries(waypoint_publisher_file ${catkin_LIBRARIES})
add_dependencies(waypoint_publisher_file ${catkin_EXPORTED_TARGETS})

add_executable(hovering_example src/hovering_example.cpp)
target_link_libraries(hovering_example ${catkin_LIBRARIES})
add_dependencies(hovering_example ${catkin_EXPORTED_TARGETS})

foreach(dir launch models resource worlds)
   install(DIRECTORY ${dir}/
      DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach(dir)

install(TARGETS waypoint_publisher waypoint_publisher_file hovering_example
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== models/grass_plane/materials/scripts/CMakeLists.txt ===
set (files 
  grass.material
)

install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/gazebo_models/environments/${MODEL_NAME}/materials/scripts/)

=== debian/changelog ===
ros-indigo-rotors-gazebo (2.2.3-0trusty) trusty; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 12 Dec 2018 23:00:00 -0000

ros-indigo-rotors-gazebo (2.2.2-0trusty) trusty; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Tue, 11 Dec 2018 23:00:00 -0000

ros-indigo-rotors-gazebo (2.2.0-0trusty) trusty; urgency=high

  * fixed xmlns:xacro link
  * switch to xacro from xacro.py
  * switch to package format 2
  * Merge branch 'feature/mavlink_build' into feature/gazebo9-autobackport
  * Merge pull request #521 <https://github.com/ethz-asl/rotors_simulator/issues/521> from scpeters/rotors_gazebo_run_depend
    rotors_gazebo/package.xml: alphabetize and add missing run depends
  * rotors_gazebo: run_depend on joy, xacro
    Fixes #501 <https://github.com/ethz-asl/rotors_simulator/issues/501>. Partial fix for #500 <https://github.com/ethz-asl/rotors_simulator/issues/500>.
  * rotors_gazebo/package.xml: alphabetize depends
  * Merge pull request #425 <https://github.com/ethz-asl/rotors_simulator/issues/425> from ethz-asl/fix/add_ros_plugin_to_example_worlds
    fix/add_ros_plugin_to_example_worlds
  * add ros_interface_plugin to all example worlds
  * Merge pull request #374 <https://github.com/ethz-asl/rotors_simulator/issues/374> from ethz-asl/feature/wind_plugin_extended
    Extending wind plugin
  * Merge pull request #406 <https://github.com/ethz-asl/rotors_simulator/issues/406> from ethz-asl/fix/waypoint_publisher
    FIX publish msg and not msg pointer in waypoint_publisher
  * FIX publish msg in waypoint_publisher and waypoint_publisher_file #373 <https://github.com/ethz-asl/rotors_simulator/issues/373>
  * FIX waypoint_publisher; revert *msg -> msg and ros:shutdown() before exit
  * FIX publish msg and not msg pointer in waypoint_publisher
  * Merge pull request #397 <https://github.com/ethz-asl/rotors_simulator/issues/397> from ethz-asl/v2.1.1
    update to 2.1.1
  * Additional requested changes for PR.
  * Added example world and custom wind field text file, as well as documentation.
  * Contributors: Fadri Furrer, Marius Fehr, Mina Kamel, Nicolas El Hayek, Steven Peters, Tim, Tim Taubner, Timo Hinzmann, michaelpantic

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Sun, 09 Dec 2018 23:00:00 -0000

ros-indigo-rotors-gazebo (2.1.1-0trusty) trusty; urgency=high

  * update maintainers
  * Contributors: fmina

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 26 Apr 2017 22:00:00 -0000

ros-indigo-rotors-gazebo (2.1.0-0trusty) trusty; urgency=high

  * Remove iris model from warehouse world.
  * Improve launch args for mav.launch and hovering example.
  * Adding some explanation to the aero params YAML
  * Modifying the Yosemite model to be aligned with the principal axis in x-y plane
  * Some minor fixes to fw dynamics
  * Implementing fixed-wing operation with a joystick
  * Implementing the rest of parameter parsing and forces + moments calculations
  * Adding max and min angle of attack as parameters and some minor renaming
  * Making fixed-wing params more descriptive
  * Implementing YAML parsing of fixed-wing aerodynamic parameters
  * Parameterizing techpod mesh files and aerodynamic parameters
  * Add position as optional arguments to hovering_example.
  * iris.sdf is only built when Gazebo version is > 2.
  * Removed un-needed parameters from basic.world.
  * Corrected optical flow plugin name in a model.sdf file.
  * Fixed LIDAR plugin name in SDF file (rotors prefix added).
  * Turned the 'connect gazebo to ros' and 'connect ros to gazebo' topic names into global variables (couldn't work out how to make them global from the .world file, so this was the next best option).
  * Converted gazebo_ros_interface_plugin from a model plugin to a world plugin.
  * The ROS interface plugin is now attached to a static model in the world rather than being attahed to the firefly MAV.
  * Added beginnings of Gazebo model for the purpose of inserting the ROS interface into the Gazebo world.
  * Reverted back to commit 357ed0f254823e83e392e239a3ab7d32b595125e (Monday's commit just before .xacro files were merged).
  * More attempted tweaks to fix errors with substitutaion_args/xacro.py. Added better debug print.
  * Added debug messages to python files, moving .xacro files from rotors_gazebo/models/rotors_description/urdf into rotors_description/models/urdf.
  * Changed variable in rotors_gazebo CMakeLists.txt to NO_ROS to match variable in rotors_gazebo_plugins.
  * Added script files from sitl_gazebo (used to generate iris.sdf).
  * Fixed bug where return statement was missing brackets.
  * Added a ONLY_BUILD_IRIS_SDF variable to the rotors_gazebo CMakeLists.txt for PX4/Firmware support.
  * Added all sitl_gazebo model files into rotors/gazebo/models/ directory.
  * Added all the worlds from sitl_gazebo that were not present in rotors_simulator.
  * Gazebo is now outputting debug messages to the console (verbose mode is turned on through launch file).
  * Initial test change for px4_merge branch. Build and hovering example working.
  * iris.sdf is only built when Gazebo version is > 2.
  * Removed un-needed parameters from basic.world.
  * Corrected optical flow plugin name in a model.sdf file.
  * Fixed LIDAR plugin name in SDF file (rotors prefix added).
  * Turned the 'connect gazebo to ros' and 'connect ros to gazebo' topic names into global variables (couldn't work out how to make them global from the .world file, so this was the next best option).
  * Converted gazebo_ros_interface_plugin from a model plugin to a world plugin.
  * The ROS interface plugin is now attached to a static model in the world rather than being attahed to the firefly MAV.
  * Added beginnings of Gazebo model for the purpose of inserting the ROS interface into the Gazebo world.
  * More attempted tweaks to fix errors with substitutaion_args/xacro.py. Added better debug print.


=== debian/control ===
Source: ros-indigo-rotors-gazebo
Section: misc
Priority: extra
Maintainer: Fadri Furrer <fadri.furrer@mavt.ethz.ch>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-gazebo-msgs, ros-indigo-gazebo-plugins, ros-indigo-geometry-msgs, ros-indigo-joy, ros-indigo-mav-msgs, ros-indigo-roscpp, ros-indigo-rotors-gazebo-plugins, ros-indigo-sensor-msgs, ros-indigo-xacro
Homepage: https://github.com/ethz-asl/rotors_simulator
Standards-Version: 3.9.2

Package: ros-indigo-rotors-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-gazebo-msgs, ros-indigo-gazebo-plugins, ros-indigo-geometry-msgs, ros-indigo-joy, ros-indigo-mav-msgs, ros-indigo-roscpp, ros-indigo-rotors-gazebo-plugins, ros-indigo-sensor-msgs, ros-indigo-xacro
Description: The rotors_gazebo package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rotors-gazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
